Restore a Gmail message from trash
curl --request POST \
--url https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-message/{messageId}/untrash \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-message/{messageId}/untrash"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-message/{messageId}/untrash', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"threadId": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "invalid_request",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Capability Sources
Restore a Gmail message from trash
Removes one message from trash. Requires gmail.modify. To put it in the inbox, also add INBOX using the modify capability. Uses only the calling member’s selected connected Google account. Perform writes only when explicitly requested by the user; capability discovery or selection is not authorization. Never automatically retry an uncertain write.
POST
/
v1
/
capabilities
/
google-workspace
/
gmail-message
/
{messageId}
/
untrash
Restore a Gmail message from trash
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Path Parameters
Required string length:
1 - 512Was this page helpful?